org.apache.mina.proxy.event

## Class IoSessionEventQueue

- java.lang.Object
- - org.apache.mina.proxy.event.IoSessionEventQueue

-     public class IoSessionEventQueue
      extends Object

  IoSessionEventQueue.java - Queue that contains filtered session events while handshake isn't done.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoSessionEventQueue(ProxyIoSession proxyIoSession)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enqueueEventIfNecessary(IoSessionEvent evt)` Event is enqueued only if necessary : - socks proxies do not need the reconnection feature so events are always forwarded for these.
    `void` | `flushPendingSessionEvents()` Send any session event which were queued while waiting for handshaking to complete.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IoSessionEventQueue

          public IoSessionEventQueue(ProxyIoSession proxyIoSession)

  - ### Method Detail

    - #### enqueueEventIfNecessary

          public void enqueueEventIfNecessary(IoSessionEvent evt)

      Event is enqueued only if necessary : - socks proxies do not need the reconnection feature so events are always forwarded for these. - http proxies events will be enqueued while handshake has not been completed or until connection was closed. If connection was prematurely closed previous events are discarded and only the session closed is delivered.
      Parameters:
        `evt` - the event to enqueue

    - #### flushPendingSessionEvents

          public void flushPendingSessionEvents()
                                         throws Exception

      Send any session event which were queued while waiting for handshaking to complete. Please note this is an internal method. DO NOT USE it in your code.
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.